import * as React from 'react';
import {Table, Button, Input, InputProps, ButtonProps} from 'semantic-ui-react';

export class DiscoveryTable extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      startIp: null,
      endIP: null,
      excludeIp: null,
      startPort: null,
      endPort: null
    };
  }

  handleInput(event: React.SyntheticEvent<HTMLInputElement>, data: InputProps) {
    // console.log( data.value);
    // console.log( event.target);
    // console.log(data.tabIndex);

    let value: string = data.value;
    switch (data.tabIndex) {
      case '0':{
        this.setState({
          startIp: value,
        });
        break;
      }
      case '1':{
        this.setState({
          endIP: value,
        });
        break;
      }
      case '2':{
        this.setState({
          excludeIp: value,
        });
        break;
      }
      case '3':{
        this.setState({
          startPort: value,
        });
        break;
      }
      case '4':{
        this.setState({
          endPort: value,
        });
        break;
      }
      default:{
        console.log("Error");
        break;
      }
    }

    console.log(this.state.startPort);
  }

  discoveryStartHandler(event: React.SyntheticEvent<HTMLButtonElement>, data: ButtonProps) {
    this.props.onProbeChange(this.state);
  }

  render() {
    return (
      <div>
        <Table celled>
          <Table.Body>
            <Table.Row>
              <Table.Cell width='1'>Start IP</Table.Cell>
              <Table.Cell width='6'><Input tabIndex='0' size='large' placeholder='Start IP' onChange={this.handleInput.bind(this)} /></Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell>End IP</Table.Cell>
              <Table.Cell><Input tabIndex='1' size='large' placeholder='End IP' onChange={this.handleInput.bind(this)} /></Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell>Exclude IP</Table.Cell>
              <Table.Cell><Input tabIndex='2' size='large' placeholder='Exclude IP' onChange={this.handleInput.bind(this)} /></Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell>Start Port</Table.Cell>
              <Table.Cell><Input tabIndex='3' size='large' placeholder='Start Port' onChange={this.handleInput.bind(this)} /></Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell>End Port</Table.Cell>
              <Table.Cell><Input tabIndex='4' size='large' placeholder='End Port' onChange={this.handleInput.bind(this)} /></Table.Cell>
            </Table.Row>
          </Table.Body>
        </Table>
        <Button floated='right' onClick={this.discoveryStartHandler.bind(this)}> Start </Button>
      </div>
    );
  }
}