import * as React from 'react';
import { Table } from 'semantic-ui-react';
import { ProbeDetails } from './ProbeDetails';


export class Probes extends React.Component<any, any> {

  private data: any;

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      selected: null,
    };
  }

  componentWillMount() {
    this.data = [
      {
        "id": "11",
        "metaProbeStatus": {
          "name": "STARTED"
        },
        "domain": {
          "name": "overFlow's domain111"
        },
        "probeKey": "AGBLKDFJ2452ASDGFL2KWJLKSDJ",
        "description": "description1111111111",
      },
      {
        "id": "22",
        "metaProbeStatus": {
          "name": "STOPPED"
        },
        "domain": {
          "name": "overFlow's domain222"
        },
        "probeKey": "AGBLKDFJ2452ASDGFL2KWJLKSDJ",
        "description": "description22222222",
      },
      {
        "id": "33",
        "metaProbeStatus": {
          "name": "STOPPED"
        },
        "domain": {
          "name": "overFlow's domain333"
        },
        "probeKey": "AGBLKDFJ2452ASDGFL2KWJLKSDJ",
        "description": "description33333",
      },
      {
        "id": "44",
        "metaProbeStatus": {
          "name": "STARTED"
        },
        "domain": {
          "name": "overFlow's domain444"
        },
        "probeKey": "AGBLKDFJ2452ASDGFL2KWJLKSDJ",
        "description": "description4444",
      },
    ];
  }

  checkCellStatus(status: any): boolean {
    if(status.name === 'STOPPED') {
      return true;
    }
    return false;
  }

  handleSelect(selectedProbe: object) {
    this.setState({
      selected: selectedProbe,
    });
  }

  render() {

    return (
      <div>
        <Table celled selectable striped>
          <Table.Header>
            <Table.Row>
              <Table.HeaderCell textAlign={'center'}>No.</Table.HeaderCell>
              <Table.HeaderCell textAlign={'center'}>Status</Table.HeaderCell>
              <Table.HeaderCell textAlign={'center'}>Probe Key</Table.HeaderCell>
              <Table.HeaderCell textAlign={'center'}>Description</Table.HeaderCell>
            </Table.Row>
          </Table.Header>

          <Table.Body>
            {this.data.map((probe: any, index: number) => (
              <Table.Row key={index} onClick={this.handleSelect.bind(this, probe)}>
                <Table.Cell textAlign={'center'}>{index + 1}</Table.Cell>
                <Table.Cell negative={this.checkCellStatus(probe.metaProbeStatus)} textAlign={'center'}>{probe.metaProbeStatus.name}</Table.Cell>
                <Table.Cell>{probe.probeKey}</Table.Cell>
                <Table.Cell>{probe.description}</Table.Cell>
              </Table.Row>
            ))}
          </Table.Body>
        </Table>
        <div style={{ margin: '20px' }}>
          <ProbeDetails probe={this.state.selected} />
        </div>
      </div>
    );
  }
}



