import * as React from 'react';
import { Table, Grid, Segment, Button, Container, Modal } from 'semantic-ui-react';
import { TargetDetails } from './TargetDetails';

export class Targets extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      openAddTarget: false,
    };
  }

  componentWillMount() {

  }

  handleAddTarget() {
    this.setState({
      openAddTarget: true,
    });
  }

  render() {

    return (
      <Container>
        <Grid columns={2}>
          <Grid.Row>
            <Grid.Column width='4'>
              <Segment>SEARCH AREA</Segment>
            </Grid.Column>
            <Grid.Column>
              <TargetTable />
              <Button content='Add' icon='add' labelPosition='left' floated='right' positive onClick={this.handleAddTarget.bind(this)} />
            </Grid.Column>
          </Grid.Row>
        </Grid>

        <TargetDetails target={this.state.selected} />
        
        <Modal
          open={this.state.openAddTarget}
        >
          <Modal.Header>
            Adding a Target
          </Modal.Header>
          <Modal.Content>
            <p>contents</p>
          </Modal.Content>
          <Modal.Actions>
            <Button negative onClick={ ()=> this.setState({openAddTarget:false}) }>Cancel</Button>
            <Button positive labelPosition='right' icon='checkmark' content='Done' />
          </Modal.Actions>
        </Modal>
      </Container>
    );
  }
}


export class TargetTable extends React.Component<any, any> {
  private data: any;

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      selected: null,
    };
  }
  handleSelect(selectedTarget: object) {
    this.setState({
      selected: selectedTarget,
    });
  }

  componentWillMount() {
    this.data = [
      {
        "id": "1",
        "createDate": "",
        "probe": {
          "id": "1",
        },
        "infra": {
          "id": "1",
          "metaInfraType": {
            "id": "1",
            "name": "OS",
            "createDate": "424252"
          },
          "childId": "1",
          "createDate": "13345235"
        },
      },
      {
        "id": "2",
        "createDate": "",
        "probe": {
          "id": "1",
        },
        "infra": {
          "id": "1",
          "metaInfraType": {
            "id": "1",
            "name": "OS",
            "createDate": "424252"
          },
          "childId": "1",
          "createDate": "13345235"
        },
      },
    ];
  }

  render() {
    console.log(this.props.probe);
    return (
      <Table celled selectable striped>
        <Table.Header>
          <Table.Row>
            <Table.HeaderCell textAlign={'center'}>No.</Table.HeaderCell>
            <Table.HeaderCell textAlign={'center'}>Type</Table.HeaderCell>
            <Table.HeaderCell textAlign={'center'}>Name</Table.HeaderCell>
            <Table.HeaderCell textAlign={'center'}>Created At</Table.HeaderCell>
          </Table.Row>
        </Table.Header>

        <Table.Body>
          {this.data.map((target: any, index: number) => (
            <Table.Row key={index} onClick={this.handleSelect.bind(this, target)}>
              <Table.Cell textAlign={'center'}>{index + 1}</Table.Cell>
              <Table.Cell textAlign={'center'}>{target.infra.metaInfraType.name}</Table.Cell>
              <Table.Cell>{target.childId}</Table.Cell>
              <Table.Cell>{target.createDate}</Table.Cell>
            </Table.Row>
          ))}
        </Table.Body>
      </Table>
    );
  }
}



