import *as React from 'react'
import {
  Dropdown, Icon, Menu, Label,

  Sidebar, Segment, Button, Image, Header,
} from 'semantic-ui-react'



const options = [
  { key: 'angular', text: 'Angular', value: 'angular' },
  { key: 'css', text: 'CSS', value: 'css' },
  { key: 'design', text: 'Graphic Design', value: 'design' },
  { key: 'ember', text: 'Ember', value: 'ember' },
  { key: 'html', text: 'HTML', value: 'html' },
  { key: 'ia', text: 'Information Architecture', value: 'ia' },
  { key: 'javascript', text: 'Javascript', value: 'javascript' },
  { key: 'mech', text: 'Mechanical Engineering', value: 'mech' },
  { key: 'meteor', text: 'Meteor', value: 'meteor' },
  { key: 'node', text: 'NodeJS', value: 'node' },
  { key: 'plumbing', text: 'Plumbing', value: 'plumbing' },
  { key: 'python', text: 'Python', value: 'python' },
  { key: 'rails', text: 'Rails', value: 'rails' },
  { key: 'react', text: 'React', value: 'react' },
  { key: 'repair', text: 'Kitchen Repair', value: 'repair' },
  { key: 'ruby', text: 'Ruby', value: 'ruby' },
  { key: 'ui', text: 'UI Design', value: 'ui' },
  { key: 'ux', text: 'User Experience', value: 'ux' },
]


export class TopBar extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);

    this.state = {
      notification_visible: false,
    };

  }


  render() {


    return (
      <div>
        <Menu  inverted borderless size='tiny'>
          <Menu.Item href='//google.com' target='_blank'>           Home    </Menu.Item>
          <Dropdown text='Monitoring' pointing className='link item'>
            <Dropdown.Menu>
              <Dropdown.Item> Probe </Dropdown.Item>
              <Dropdown.Item>Sensors</Dropdown.Item>
            </Dropdown.Menu>
          </Dropdown>
          
          <Dropdown text='Infrastructure' pointing className='link item'>
            <Dropdown.Menu>
              <Dropdown.Item> Maps </Dropdown.Item>
              <Dropdown.Item>Targets</Dropdown.Item>
            </Dropdown.Menu>
          </Dropdown>
          <Menu.Item>            Dashboard    </Menu.Item>
          <Menu.Item>            Metrics    </Menu.Item>
          <Menu.Item>            Alert    </Menu.Item>
          <Menu.Item>            History    </Menu.Item>

          <Menu.Item position='right'>
            <Icon name='setting' />
          </Menu.Item>
          <Menu.Item onClick={() => {
            this.setState({ notification_visible: !this.state.notification_visible })
          }}>
            <Icon name='alarm' />
            <Label color='red' floating>22</Label>
          </Menu.Item>
          <Menu.Item>
            <Dropdown icon='user' className='ui pointing dropdown top right'>
              <Dropdown.Menu >
                <Dropdown.Item text='Log out' />
                <Dropdown.Divider />
                <Dropdown.Item text='Settings' />
                <Dropdown.Item text='- Profile' />
                <Dropdown.Item text='- Preferences' />
                <Dropdown.Item text='- Change Password' />
                <Dropdown.Divider />
                <Dropdown.Item text='Help' />
              </Dropdown.Menu>
            </Dropdown>
          </Menu.Item>


        </Menu>


        <Sidebar.Pushable as={Segment}  >
          <Sidebar
            as={Menu}
            animation='overlay'
            width='thin'
            direction='right'
            visible={this.state.notification_visible}
            icon='labeled'
            vertical
            inverted

          >
            <Menu.Item name='home'>
              <Icon name='home' />
              Home
            </Menu.Item>
            <Menu.Item name='gamepad'>
              <Icon name='gamepad' />
              Games
            </Menu.Item>
            <Menu.Item name='camera'>
              <Icon name='camera' />
              Channels
            </Menu.Item>
          </Sidebar>
          <Sidebar.Pusher >
            <Segment basic >

            </Segment>
          </Sidebar.Pusher>
        </Sidebar.Pushable>
      </div>
    );
  }



}

